# Please change the path and files below
setwd("C:/Users/t-tutiya/Desktop/tmp")

cactus2 <- read.table("cactus2.txt", header=T)
cactus2
cactus3 <- read.table("cactus3.txt", header=T)
cactus3
#
dev.new(width=10, height=5, unit="in")
AND<- cactus2$AND
AND
DOWN<- cactus2$DOWN
DOWN
UP  <- cactus2$UP
UP
SAT <- cactus2$SAT
SAT
MFT <- cactus2$MTF
MFT
CSP <- cactus2$CSP
CSP
num <- rownames(cactus2)
num
plot(MFT, num, type="o", log="x", pch=0, xlim=c(0.05,2000),xlab="", ylab="")
points(CSP, num, type="o", pch=1)
points(AND, num, type="o", pch=2)
# points(DOWN, num, type="o", pch=3)
points(UP, num, type="o", pch=4)
points(SAT, num, type="o", pch=5)
labels<-c("ACTS-MFT","ACTS-CSP", "BDD-AND", "BDD-UP", "SAT")
pchs <- c(0,1, 2,  4, 5)
legend("bottomright", legend = labels, pch=pchs)
dev.copy2eps(file='cactus2.eps')

#
dev.new(width=10, height=5, unit="in")
AND<- cactus3$AND
AND
DOWN<- cactus3$DOWN
DOWN
UP  <- cactus3$UP
UP
SAT <- cactus3$SAT
SAT
MFT <- cactus3$MTF
MFT
CSP <- cactus3$CSP
CSP
num <- rownames(cactus3)
num
plot(MFT, num, type="o", log="x", pch=0, xlim=c(0.05,1000),xlab="", ylab="")
points(CSP, num, type="o", pch=1)
points(AND, num, type="o", pch=2)
# points(DOWN, num, type="o", pch=3)
points(UP, num, type="o", pch=4)
points(SAT, num, type="o", pch=5)
labels<-c("ACTS-MFT","ACTS-CSP", "BDD-AND", "BDD-UP", "SAT")
pchs <- c(0,1, 2,  4, 5)
legend("bottomright", legend = labels, pch=pchs)
dev.copy2eps(file='cactus3.eps')